GET
/api/v1/accounts/profile/billing-history/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/accounts/profile/billing-history/?apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/accounts/profile/billing-history/", params={"apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/accounts/profile/billing-history/");url.search = new URLSearchParams({ apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Fetches the billing history for a specific project and location. Requires API key and bearer token for authentication.
Responses
Section titled “Responses”Billing history fetched successfully
Media typeapplication/json
object
code
integer
message
string
data
object
status
boolean
type
string
message
string
previous_billing_entities
Array<object>
object
updated_date
string format: date-time
type
string
company_name
string
pan
string
gstn
string
historical_address_records
Array<object>
object
updated_date
string format: date-time
address
string
country
string
city
string
state
string
zip
string
errors
object
Example
{ "code": 200, "message": "Success", "data": { "status": true, "type": "hide", "message": "user billing history fetch successfully", "previous_billing_entities": [ { "updated_date": "2025-03-07T11:23:05Z", "type": "", "company_name": "E2E Networks Limited", "pan": "QWERTYU228F", "gstn": "1234567FGH45" } ], "historical_address_records": [ { "updated_date": "2025-03-07T11:23:05Z", "address": "XYZ Company, New Delhi 110002", "country": "India", "city": "Noida", "state": "Uttar Pradesh", "zip": "201301" } ] }, "errors": {}}